gatesall=['M0mark'
		,'Q0X90','Q0read'
		,'Q1X90','Q1read'
		,'Q2X90','Q2read'
		,'Q3X90','Q3read'
		,'Q4X90','Q4read'
		,'Q5X90','Q5read'
		,'Q6X90','Q6read'
		,'Q7X90','Q7read'
		,'Q0Q1CNOT'
		,'Q2Q1CNOT'
		,'Q3Q2CNOT'
		,'Q4Q3CNOT'
		,'Q5Q4CNOT'
		,'Q5Q6CNOT'
		,'Q6Q7CNOT'
		,'Q7Q0CNOT'
		]
elementlistall={'Q0.qdrv':0,'Q0.read':8,'Q0.rdrv':0
		,'Q1.qdrv':1,'Q1.read':9,'Q1.rdrv':1
		,'Q2.qdrv':2,'Q2.read':10,'Q2.rdrv':2
		,'Q3.qdrv':3,'Q3.read':8,'Q3.rdrv':3
		,'Q4.qdrv':4,'Q4.read':9,'Q4.rdrv':4
		,'Q5.qdrv':5,'Q5.read':10,'Q5.rdrv':5
		,'Q6.qdrv':6,'Q6.read':8,'Q6.rdrv':6
		,'Q7.qdrv':7,'Q7.read':9,'Q7.rdrv':7
		,'M0.mark':12}
destlistall={'Q0.qdrv':2,'Q0.read':4,'Q0.rdrv':0
		,'Q1.qdrv':1,'Q1.read':5,'Q1.rdrv':0
		,'Q2.qdrv':2,'Q2.read':6,'Q2.rdrv':0
		,'Q3.qdrv':2,'Q3.read':4,'Q3.rdrv':0
		,'Q4.qdrv':2,'Q4.read':5,'Q4.rdrv':0
		,'Q5.qdrv':3,'Q5.read':6,'Q5.rdrv':0
		,'Q6.qdrv':2,'Q6.read':4,'Q6.rdrv':0
		,'Q7.qdrv':2,'Q7.read':5,'Q7.rdrv':0
		,'M0.mark':12}
patchlistall={'Q0.rdrv':8e-9,'Q0.read':8e-9,'Q0.qdrv':8e-9
		,'Q1.rdrv':0,'Q1.read':0,'Q1.qdrv':0
		,'Q2.rdrv':8e-9,'Q2.read':8e-9,'Q2.qdrv':8e-9
		,'Q3.rdrv':0,'Q3.read':0,'Q3.qdrv':0
		,'Q4.rdrv':8e-9,'Q4.read':8e-9,'Q4.qdrv':8e-9
		,'Q5.rdrv':0,'Q5.read':0,'Q5.qdrv':0
		,'Q6.rdrv':8e-9,'Q6.read':8e-9,'Q6.qdrv':8e-9
		,'Q7.rdrv':0,'Q7.read':0,'Q7.qdrv':0
		,'M0.mark':0}
